Subject: Re: Bug in od, cat, etc reading binary files
From: [email-masked] (Mikey)

29 Sep 1997 13:48:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

On Mon, 29 Sep 1997 08:09:17 -0600, you wrote:

>
>Hi..
>
>>The cygwin32 isn't for compatibility with NT it is to provide a 
>>mechanism for which those things that aren't can be ported to the win32 
>>environment.
>
>But for what reason?  If you can't use these things with the rest of the
>NT world, then what is the point?  Why not just run them in the Unix world

You can use anything with anything, you just have to figure out how. ;^)

>where they are happier anyhow?
>
>>Because of this the cygwin32 layer must try to be 
>>compatible to both worlds (which it does, nicely).  The problem isn't 
>>cygwin32 it is the lack of tools ported without modification for binary 
>>versus text that is the problem.  Therefore remaining in the binary 
>>format is not an alternative it becomes necessary.
>
>Yes, well, if the requirements are that you must run some Unix programs on
>NT without modification, then using cygwin32 and binary mounts may be the
>solution.  However, I believe that the problem may need to be reconsidered
>because without the additional requirement of interoperability with the NT
>world, why require that it run on NT in the first place?  Just for the
>fun of it?

Because many many many people don't like 
cmd.exe/command.com, and vc++/developer stupiDo, and the
entire MS philosophy, they want tools that 
operate the way they are accustomed to,
the way those tools operate under unix.

But many many many bosses don't like 
having employees use linux/freeBSD/
pick your favorite un*x clone on their work computers, 
the cygwin32 environment is a compromise
solution for people who must develop 
FOR win32, but want to develop UNDER
unix.

Say linux at home, and cygwin32 at work?
or linux for large compiles, cygwin32 for testing?

I would think a Solaris/win32 developer
as you mentioned in another post you were
would appreciate this arrangement.

You can use your shell scripts and makefiles
unmodified either way.

Being a compromise, it is not going to 
be perfect for everyone, if you don't like
it, don't use it, but don't criticize it for not 
being what you want, when it never
told you it was going to be in the first place.

It is also still a work in progress, 
and the progress is going to be in the
direction that cygnus's PAYING 
customers ask for, do you have a
software or support contract with 
Cygnus? Neither do I.

>
>marcus hall
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".